use moa_uapi::types::IoVec;

#[allow(clippy::wildcard_imports)]
use super::*;

#[syscall(SYSNR_CONNECT)]
fn sys_connect(spaceid: usize, channel_index: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_DISCONNECT)]
fn sys_disconnect(conn: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_SENDV)]
fn sys_sendv(
    conn: u32,
    siov: *const IoVec,
    scnt: usize,
    riov: *mut IoVec,
    rcnt: usize,
    timeout: usize,
) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_SEND_PULSE)]
fn sys_send_pulse(conn: u32, code: usize, value: usize) -> isize {
    ERR_NOSYS
}
